Subject: Re: [RESEND][NETFILTER][PATCH] nfqnl_mangle() not requesting enough space for bigger reinjected packet.

From: Patrick McHardy <[email-masked]>
Date: Tue, 06 May 2008 12:18:33 +0200

Arnaud Ebalard wrote:
> BTW, while looking at the code, I noticed the call to skb_copy_expand()
> leads to a complete copy of current sk_buff data to the new sk_buff.
> Those data are then completely rewritten a few lines later. Too bad
> there is no simple way (considering skbuff.h) to prevent the useless
> copy.

Yeah, thats a bit unfortunate. I don't see how we could avoid
this besides allocating a fresh skb and setting up all the meta
data manually though.